| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Slots | Public Member Functions | Static Public Member Functions | Protected Member Functions
Tp::Client::CallContentInterfaceAudioControlInterface Class Reference

`#include <TelepathyQt/CallContent>`

Inherits Tp::AbstractInterface.

List of all members.

## Public Slots

- QDBusPendingReply ReportInputVolume (int volume, int timeout=-1)
- QDBusPendingReply ReportOutputVolume (int volume, int timeout=-1)

## Public Member Functions

- CallContentInterfaceAudioControlInterface (const QString &busName, const QString &objectPath, QObject *parent=0)
- CallContentInterfaceAudioControlInterface (const QDBusConnection &connection, const QString &busName, const QString &objectPath, QObject *parent=0)
- CallContentInterfaceAudioControlInterface (Tp::DBusProxy *proxy)
- CallContentInterfaceAudioControlInterface (const Tp::Client::CallContentInterface &mainInterface)
- CallContentInterfaceAudioControlInterface (const Tp::Client::CallContentInterface &mainInterface, QObject *parent)
- Tp::PendingVariant * requestPropertyRequestedInputVolume () const
- Tp::PendingVariant * requestPropertyRequestedOutputVolume () const
- Tp::PendingVariantMap * requestAllProperties () const

## Static Public Member Functions

- static QLatin1String staticInterfaceName ()

## Protected Member Functions

- virtual void invalidate (Tp::DBusProxy *, const QString &, const QString &)

## Detailed Description

Proxy class providing a 1:1 mapping of the D-Bus interface "org.freedesktop.Telepathy.Call1.Content.Interface.AudioControl".

## Constructor & Destructor Documentation

Tp::Client::CallContentInterfaceAudioControlInterface::CallContentInterfaceAudioControlInterface | ( | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a CallContentInterfaceAudioControlInterface associated with the given object on the session bus.

Parameters:

  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::CallContentInterfaceAudioControlInterface::CallContentInterfaceAudioControlInterface | ( | const QDBusConnection & | connection,
|  | const QString & | busName,
|  | const QString & | objectPath,
|  | QObject * | parent = `0`
| ) |  |

Creates a CallContentInterfaceAudioControlInterface associated with the given object on the given bus.

Parameters:

  connection | The bus via which the object can be reached.
  busName | Name of the service the object is on.
  objectPath | Path to the object on the service.
  parent | Passed to the parent class constructor.

Tp::Client::CallContentInterfaceAudioControlInterface::CallContentInterfaceAudioControlInterface | ( | Tp::DBusProxy * | proxy | ) |

Creates a CallContentInterfaceAudioControlInterface associated with the same object as the given proxy.

Parameters:

  proxy | The proxy to use. It will also be the QObject::parent() for this object.

Tp::Client::CallContentInterfaceAudioControlInterface::CallContentInterfaceAudioControlInterface | ( | const Tp::Client::CallContentInterface & | mainInterface | ) | `[explicit]`

Creates a CallContentInterfaceAudioControlInterface associated with the same object as the given proxy. Additionally, the created proxy will have the same parent as the given proxy.

Parameters:

  mainInterface | The proxy to use.

Tp::Client::CallContentInterfaceAudioControlInterface::CallContentInterfaceAudioControlInterface | ( | const Tp::Client::CallContentInterface & | mainInterface,
|  | QObject * | parent
| ) |  |

Creates a CallContentInterfaceAudioControlInterface associated with the same object as the given proxy. However, a different parent object can be specified.

Parameters:

  mainInterface | The proxy to use.
  parent | Passed to the parent class constructor.

## Member Function Documentation

static QLatin1String Tp::Client::CallContentInterfaceAudioControlInterface::staticInterfaceName | ( |  | ) | `[inline, static]`

Returns the name of the interface "org.freedesktop.Telepathy.Call1.Content.Interface.AudioControl", which this class represents.

Returns:
  The D-Bus interface name.

Tp::PendingVariant* Tp::Client::CallContentInterfaceAudioControlInterface::requestPropertyRequestedInputVolume | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `RequestedInputVolume` of type `int`.

The input volume as requested by the Connection Manager. Initially and on any changes the client should change its input volume to match the requested volume.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariant* Tp::Client::CallContentInterfaceAudioControlInterface::requestPropertyRequestedOutputVolume | ( |  | ) | const`[inline]`

Asynchronous getter for the remote object property `RequestedOutputVolume` of type `int`.

The input volume as requested by the Connection Manager. Initially and on any changes the client should change its input volume to match the requested volume.

Returns:
  A pending variant which will emit finished when the property has been retrieved.

Tp::PendingVariantMap* Tp::Client::CallContentInterfaceAudioControlInterface::requestAllProperties | ( |  | ) | const`[inline]`

Request all of the DBus properties on the interface.

Returns:
  A pending variant map which will emit finished when the properties have been retrieved.

QDBusPendingReply Tp::Client::CallContentInterfaceAudioControlInterface::ReportInputVolume | ( | int | volume,
|  | int | timeout = `-1`
| ) |  | `[inline, slot]`

Begins a call to the D-Bus method `ReportInputVolume` on the remote object.

Report to the CM that the Content input volume has been changed by the client. It is the client's responsibility to change the input volume used for the content. However, the client MUST call this whenever it changes input volume for the content.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  volume | Report the input volume level as set by the client.
  timeout | The timeout in milliseconds.

QDBusPendingReply Tp::Client::CallContentInterfaceAudioControlInterface::ReportOutputVolume | ( | int | volume,
|  | int | timeout = `-1`
| ) |  | `[inline, slot]`

Begins a call to the D-Bus method `ReportOutputVolume` on the remote object.

Report to the CM that the content output volume has been changed by the client. It is the client's responsibility to change the output volume used for the content. However, the client MUST call this whenever it changes output volume for the content.

Note that timeout is ignored as of now. It will be used once http://bugreports.qt.nokia.com/browse/QTBUG-11775 is fixed.

Parameters:

  volume | Report the output volume level as set by the client.
  timeout | The timeout in milliseconds.

void Tp::Client::CallContentInterfaceAudioControlInterface::invalidate | ( | Tp::DBusProxy * | proxy,
|  | const QString & | error,
|  | const QString & | message
| ) |  | `[protected, virtual]`

Reimplemented from Tp::AbstractInterface.